#include <bits/stdc++.h>

using namespace std;
long long n,m,a,x[100001],s,b;

int main(){
  cin>>n>>m;

  for(int i=1; i<=n; i++){

    cin>>a;
     if(a==m)a=0;
    x[i]=a;

  }
  for(int i=1; i<=n; i++){

  }

  b=0;
for (int i=1; i<=m; i++){
   s=0;
  for(int i=1; i<=n; i++){

    if(x[i]>0)s=s+1;
    if(x[i]==0)s=s;
    if(x[i]>0)x[i]=x[i]-1;

}
  b=b+(s*(n-s));

}
cout<<b<<endl;
  return 0;
}